
#General Config Section. See https://readme.firstdarkdev.xyz/simple-rpc/introduction/
[general]
	#The Application ID of the Discord App to use
	applicationID = 1270808246134767656
	#Enable/Disable the mod
	enabled = true
	#Enable/Disable debugging mode. WARNING: MAY CAUSE LOG SPAM!
	debugging = true
	#Enable/Disable the in game config screen. ONLY AVAILABLE WHEN CLOTH CONFIG IS INSTALLED!
	configScreen = true
	#Display the Icon and Pack Name in place of LargeImage from compatible launchers. DOES NOT WORK WITH CUSTOM APPS! ONLY THE DEFAULT ONE!
	launcherIntegration = false
	#Internal Version Number. NO TOUCHY!
	version = 16

#The Game Loading event
[init]
	#Enable/Disable the Game Loading Event
	enabled = true
	#The first line of text under the app name
	description = "MeatballCraft is loading"
	#The second line of text under the app name
	state = "Game Starting..."
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Main Menu event
[main_menu]
	#Enable/Disable the Main Menu Event
	enabled = true
	#The first line of text under the app name
	description = "%player% is currently in the menu"
	#The seconds line of text under the app name
	state = "Chilling in the menu"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Server List event
[server_list]
	#Enable/Disable the Server List Event
	enabled = true
	#The first line of text under the app name
	description = "%player% is looking for a server"
	#The second line of text under the app name
	state = "Searching for friends"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Realms Screen event
[realms_list]
	#Enable/Disable the Realms Screen Event
	enabled = false
	#The first line of text under the app name
	description = "%player% is looking for a Realm"
	#The second line of text under the app name
	state = "Browsing Realms"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Join Game Event
[join_game]
	#Enable/Disable the Join Game Event
	enabled = false
	#The first line of text under the app name
	description = "%player% is joining a game"
	#The second line of text under the app name
	state = "Joining Game"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Single Player Event
[single_player]
	#Enable/Disable the Single Player Event
	enabled = true
	#The first line of text under the app name
	description = "Currently In %world%"
	#The second line of text under the app name
	state = "Playing lonely mode"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Multi Player Event
[multi_player]
	#Enable/Disable the Multi Player Event
	enabled = true
	#The first line of text under the app name
	description = "Playing on %servername% with %players% players"
	#The second line of text under the app name
	state = "Playing online"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#The Realms Game Event
[realms]
	#Enable/Disable the Realms Game Event
	enabled = false
	#The first line of text under the app name
	description = "Playing on %realmname%"
	#The second line of text under the app name
	state = "Playing on a Realm"
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%realmdescription%"
	#The buttons to display on Discord
	buttons = []

#Fallback event for disabled events
[generic]
	#The first line of text under the app name
	description = "Playing MeatballCraft"
	#The second line of text under the app name
	state = ""
	#The Asset ID of the image to display as the large image
	largeImageKey = "mbc"
	#The text that gets displayed when the large image is hovered
	largeImageText = "MeatballCraft, now with 30% more meatballs"
	#The Asset ID of the image to display as the small image
	smallImageKey = "mbc"
	#The text that gets displayed when the small image is hovered
	smallImageText = "%mods% mods installed"
	#The buttons to display on Discord
	buttons = []

#Dimension Information Overrides
[dimension_overrides]
	#Allows you to override the displayed values for dimensions
	enabled = false
	dimensions = []

